Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class PKICertReqMessages

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.PKICertReqMessages`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

Direct Known Subclasses:
  CertificationRequest, CrossCertRequest, InitializationRequest, KeyRecoveryRequest, KeyUpdateRequest

public abstract class PKICertReqMessages
extends PKIMessageBody

Base class for `PKIMessageBody` types using the CRMF `CertReqMessages` structure.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`protected` | `PKICertReqMessages()` Create a new, empty `PKICertReqMessages`.
`protected` | `PKICertReqMessages(CertReqMsg crm)` Create a new `PKICertReqMessages` with the specified `CertReqMsg`.
`protected` | `PKICertReqMessages(java.io.InputStream is)`

Method Summary
`void` | `addCertReqMsg(CertReqMsg crm)` Add a `CertReqMsg` to this request message body.
`CertReqMessages` | `getCertReqMessages()` Get the `CertReqMessages` object for this request message body.
`void` | `input(java.io.InputStream is)`
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`getType, inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKICertReqMessages

    protected PKICertReqMessages()

  Create a new, empty `PKICertReqMessages`. Use the `addCertReqMsg(oracle.security.crypto.cmp.CertReqMsg)` or `input(java.io.InputStream)` methods to complete the object's contents.

### PKICertReqMessages

    protected PKICertReqMessages(CertReqMsg crm)

  Create a new `PKICertReqMessages` with the specified `CertReqMsg`.

### PKICertReqMessages

    protected PKICertReqMessages(java.io.InputStream is)
                          throws java.io.IOException

Method Detail

### addCertReqMsg

    public void addCertReqMsg(CertReqMsg crm)

  Add a `CertReqMsg` to this request message body.

### getCertReqMessages

    public CertReqMessages getCertReqMessages()

  Get the `CertReqMessages` object for this request message body.

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.